<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.casic</groupId>
        <artifactId>casic-smartcity</artifactId>
        <version>2.0.0.alpha</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <artifactId>casic-device</artifactId>
    <name>casic-device</name>
    <version>2.0.0.alpha</version>
    <packaging>jar</packaging>
    <description>casic 闸井产品设备管理子包</description>
    <dependencies>
        <!--基础包依赖-->
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-core</artifactId>
            <version>${core.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-admin-support</artifactId>
            <version>${admin.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-http</artifactId>
            <version>${extension.version}</version>
        </dependency>
        <!--其他-->
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-export-support</artifactId>
            <version>${extension.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>${boot.version}</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>org.apache.httpcomponents</groupId>-->
<!--            <artifactId>httpclient</artifactId>-->
<!--            <version>4.5.13</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>org.apache.httpcomponents</groupId>-->
<!--            <artifactId>httpmime</artifactId>-->
<!--            <version>4.5.13</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-server-support</artifactId>
            <version>${pro.version}</version>
        </dependency>
        <!-- 需要使用闸井的公共类 -->
<!--        <dependency>-->
<!--            <groupId>com.casic</groupId>-->
<!--            <artifactId>casic-sluicewell</artifactId>-->
<!--            <scope>compile</scope>-->
<!--        </dependency>-->
        <!--spring boot依赖-->
<!--        <dependency>-->
<!--            <groupId>org.codehaus.groovy</groupId>-->
<!--            <artifactId>groovy-all</artifactId>-->
<!--            <optional>true</optional>-->
<!--        </dependency>-->
        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <version>2.9.0</version>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.3.1</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-redis</artifactId>
        </dependency>
    </dependencies>
    <build>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
        </resources>
    </build>
</project>